// File: StepperTestA4983.ino
// Example for control of 1 stepper, based on interrupts
// Target: Arduino Nano, Stepperdriver = A4983 or equivalent
// 2015 jan@breem.nl

#include "globals.h"

//******************************************************************************************************
void setup()
{
  Serial.begin(9600); 
  InitStepper();
}

//******************************************************************************************************
void loop()
{
  if (Serial.available() > 0) 
  {
    char Serialchar = Serial.read();
    if (Serialchar == 't') StartTraject (3200, 4000, 10000, 200);  // Just do a trajectory 
    if (Serialchar == 'c') StartTraject (32000000, 4000, 10000, 200); // Very long, will not finish
    if (Serialchar == 'x') StopTraject (); // Decently stops a running trajectory 
    if (Serialchar == 'u') StartTraject (2800, 100, 800, 20); // Go Up some steps
    if (Serialchar == 'd') StartTraject (-2800, 100, 800, 20); // Go Down some steps
  }
}

